org.deidentifier.arx.gui.view.impl.common

## Class ComponentFilterTable

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentFilterTable

    public class ComponentFilterTable
    extends java.lang.Object

This class implements a table, in which properties can be filtered.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ComponentFilterTable(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Adds a selection listener.
`void` `clear()` Clears the table.
`int` `getIndexOfEntry(java.lang.String entry)` Returns the entries.
`java.util.List<java.lang.String>` `getProperties()` Returns the properties.
`java.lang.String` `getSelectedEntry()` Returns the currently selected entry.
`java.lang.String` `getSelectedProperty()` Returns the currently selected property.
`boolean` `isSelected(java.lang.String entry, java.lang.String property)` Returns whether the given property is selected for the given entry.
`void` `setEnabled(boolean enabled)` Enable/disable.
`void` `setLayoutData(java.lang.Object layoutData)` Sets layout data.
`void` `setPermitted(java.util.List<java.lang.String> entries, java.util.Map<java.lang.String,java.util.Set<java.lang.String>> permitted)` Specifies the properties permitted per entry
`void` `setProperties(java.util.List<java.lang.String> properties)` Sets new properties.
`void` `setSelected(java.lang.String entry, java.lang.String property, boolean selected)` Sets the given property selected for the given entry.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentFilterTable

    public ComponentFilterTable(org.eclipse.swt.widgets.Composite parent,
                                Controller controller)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `properties` -
  `entries` -

### Method Detail

#### addSelectionListener

    public void addSelectionListener(org.eclipse.swt.events.SelectionListener listener)

Adds a selection listener.

Parameters:
  `listener` -

#### clear

    public void clear()

Clears the table.

#### getIndexOfEntry

    public int getIndexOfEntry(java.lang.String entry)

Returns the entries.

Parameters:
  `entry` -
Returns:

#### getProperties

    public java.util.List<java.lang.String> getProperties()

Returns the properties.

Returns:

#### getSelectedEntry

    public java.lang.String getSelectedEntry()

Returns the currently selected entry.

Returns:

#### getSelectedProperty

    public java.lang.String getSelectedProperty()

Returns the currently selected property.

Returns:

#### isSelected

    public boolean isSelected(java.lang.String entry,
                              java.lang.String property)

Returns whether the given property is selected for the given entry.

Parameters:
  `entry` -
  `property` -
Returns:

#### setEnabled

    public void setEnabled(boolean enabled)

Enable/disable.

Parameters:
  `enabled` -

#### setLayoutData

    public void setLayoutData(java.lang.Object layoutData)

Sets layout data.

Parameters:
  `layoutData` -

#### setPermitted

    public void setPermitted(java.util.List<java.lang.String> entries,
                             java.util.Map<java.lang.String,java.util.Set<java.lang.String>> permitted)

Specifies the properties permitted per entry

Parameters:
  `entries` -
  `permitted` -

#### setProperties

    public void setProperties(java.util.List<java.lang.String> properties)

Sets new properties. Clears the table

Parameters:
  `properties` -

#### setSelected

    public void setSelected(java.lang.String entry,
                            java.lang.String property,
                            boolean selected)

Sets the given property selected for the given entry.

Parameters:
  `entry` -
  `property` -
  `selected` -